Rated 5 out of 5 stars

Very nice extension and as a Chinese, I have been using it for years :p

However, I think there is a small detail which can be improved. That is the quick-add.

In most time, I use "quick add" to add a rule temporarily, but sometime, it could be convenient if I can select whethe the "quick add" rule is temporary (and it would be better for a chance to edit its name).

Thank you again.

This review is for a previous version of the add-on (4.2.4). 

Eric H. Jung said:

"Thanks for the review and the nice words. Concerning your "quick add" improvement, it is already there. Make sure this is checked: "Prompt for editing and confirmation before adding pattern to proxy". You can then select temporary/permanent and change rule names every time you use Alt+F2 QuickAdd."

To add to the answer Eric gave: If you follow his steps and the dialog pops up after using ALT + F2 you need to click on the Pattern button. There are all the options for the pattern at hand.

Difficult to use, interface badly designed Rated 2 out of 5 stars

It doesn't include a proxy list and keeps asking for money to get proxies. If you provide your own proxy, then an error comes up stating that the proxy should be added to a whitelist somewhere but doesn't say how or where. The user receives these kind of messages because of a low usability of this software.

This review is for a previous version of the add-on (4.2.3). 

Use FoxyProxy Basic

We do not include a proxy list because we do not provide free proxies. We never promised free proxies.

We fail to see how we "keep asking for money to get proxies" -- there are a couple of inconspicuous links asking to buy a proxy from us, but nothing obtrusive or obnoxious. And certainly nothing that gets in your way.

You can and should use your own free proxy, as you've noted. The 'error' you mention is not an error. It is a warning that you haven't defined any patterns. If you aren't using patterns or don't know what they are, you are better off using FoxyProxy Basic.

Rated 3 out of 5 stars

The user interface is very complex to use for a non-developer. Also there are no official usage instructions. I still don't get to use this extremely useful looking extension although i watched several tutorials on youtube how to use it.

This review is for a previous version of the add-on (4.2.3). 

It made my life easier Rated 5 out of 5 stars

Living in a country with heavy internet censorship, I need to use proxies for legitimate websites life wordpress, blogspot, etc. Since passing the whole traffic through proxies is a bad idea (privacy,performance issues) I use quick add to add patterns to my favorite proxy provider for each specific website.

This review is for a previous version of the add-on (4.2.3). 

Simple, fast and simple Rated 5 out of 5 stars

At first i was hoping to find an extension where i can switch between no-proxy and "user-defined", but I found a way to automate all this process with a very little configuration.
Nice Work!

This review is for a previous version of the add-on (4.2.3). 

Rated 5 out of 5 stars

Thanks for this nice plugin :)

This review is for a previous version of the add-on (4.2.3). 

Problem Rated 5 out of 5 stars

Hi
First, thank u for this great addon...
But it has a bug: "If you set a socks proxy in windows like Tor and configure FoxyProxy to System Proxy, it will not do anything".
would you repair it?
Thanx again

This review is for a previous version of the add-on (4.2.3). 

Hi,
thanks for the review. We are not aware of that problem. Could you tell us some more about it (your Firefox, Windows and FoxyProxy version and steps to reproduce your bug)? This happens, ideally, in our forum (http://forums.getfoxyproxy.org/) or if you don't want, write me an email: georg[@]getfoxyproxy[.]org (without the brackets). Thanks!

Rated 4 out of 5 stars

Nutze ich in der FH um dort zu surfen. Zickt nicht rum, klappt :)

This review is for a previous version of the add-on (4.2.3). 

VERY BIG THANKSS Rated 5 out of 5 stars

Thanks for this beautiful plugin

This review is for a previous version of the add-on (4.2.3). 

Rated 5 out of 5 stars

希望可以当一个网站有多个代理时,根据代理顺序使用代理,如果前面的代理失效时自动使用下一个代理。

This review is for a previous version of the add-on (4.2.2). 

Rated 5 out of 5 stars

Un add-on au top pour utiliser et switcher entre des proxies rapidement. Tout est bien pensé jusqu'à la possibilité de leur attribuer des noms et codes couleur.

This review is for a previous version of the add-on (4.2.2). 

Rated 5 out of 5 stars

Very good of plug and helpful no problems.

This review is for a previous version of the add-on (4.2.2). 

Rated 5 out of 5 stars

Again this great add-on have problems:

(1) The version 4.2.2 toolbar button doesn’t show the color and animation, while the statusbar (add-on bar) works as it should.

(2) After a page is fully downloaded, if a proxy is enabled (i.e. not on disabled or default mode), CPU and fan will be continuously working. As soon as changing to default (non-proxy) or disabling it, the CPU comes down to zero.

** I’m on Linux (Ubuntu in particular).

This review is for a previous version of the add-on (4.2.2).  This user has 2 previous reviews of this add-on.

Thanks! For this review. Alas, I cannot reproduce your problems and thus need your help. Could you either open a thread for each issue in our forum: http://forums.getfoxyproxy.org/ or write me an email to georg[@]getfoxyproxy[.]org (without the brackets)? Thanks!

Rated 5 out of 5 stars

Good if you want complete control of proxies in your browser. I have used it for a while with no problems.

This review is for a previous version of the add-on (4.2.2). 

全是英文 Rated 5 out of 5 stars

还没安装这个组件。评论里全是英文,让人很费解为什么那么多英文区域内的墙内者。 一直以为我们所处的地方才是世界上最大的墙

This review is for a previous version of the add-on (4.2.2). 

QuickAdd not quite convenient Rated 4 out of 5 stars

From time to time, I encounter this situation: if I am at www.google.com and want to quickadd it as *.google.com, it could not be done automatically with the current pattern system and I have to type it myself (delete the "www", and type a "*"). In autoproxy this could be done with only 2 clicks.

This review is for a previous version of the add-on (4.2.2).  This user has a previous review of this add-on.

Yes, making QuickAdd subdomain aware is on our ToDo list for a long time now. Alas, we were not able to implement that yet. We'll see if we get to it in the near future...

Rated 5 out of 5 stars

Saves the time... Thanks

This review is for a previous version of the add-on (4.2.1). 

Rated 4 out of 5 stars

Good proxy addon. Can be a bit hard to use for a novice. Otherwise it's pretty solid.

This review is for a previous version of the add-on (4.2.1). 

Excellent Rated 5 out of 5 stars

Very good addon. No performance impact, tiny resource usage. Some packet-sniffing showed me that every attempt to load a certain URL was sent through the proxy configured for it and not a single packet went directly to the target IP.
Very good toolbar button implementation too, both the new type widget and the old variant. It would just be nice if the Tools menu were made the "proper" way. If that was done to allow the color coding, you can still apply that to a regular menu if you embed some CSS into the overlay. Otherwise I don't see why the Tools menu is made so strangely.

This review is for a previous version of the add-on (4.2.1). 

Not sure what you mean with "if the Tools menu were made the 'proper' way". Could you follow up via email georg[@]getfoxyproxy[.]org (without the brackets) or in our forum: http://forums.getfoxyproxy.org/ ? Thanks!

Not compatible with certain YouTube embed videos Rated 4 out of 5 stars

If FoxyProxy is enabled, certain YouTube embed videos doesn't load. Did YouTube change something?You can test it in: http://terrillthompson.com/tests/youtube.html (Look at Examples #4 and #7)EDIT: Happens both in Windows and Linux. I don't know why, but all embed videos load correctly if you are using HttpFox, so you can use it as a workaround.
EDIT2: Oops, I didn't read the developer's comments available below...

This review is for a previous version of the add-on (4.2.1).